

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>posydon.visualization.combine_TF &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../../../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../../../" src="../../../_static/documentation_options.js"></script>
        <script src="../../../_static/jquery.js"></script>
        <script src="../../../_static/underscore.js"></script>
        <script src="../../../_static/doctools.js"></script>
        <script src="../../../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../../../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../../../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../../index.html" class="icon icon-home"></a> &raquo;</li>
        
          <li><a href="../../index.html">Module code</a> &raquo;</li>
        
      <li>posydon.visualization.combine_TF</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <h1>Source code for posydon.visualization.combine_TF</h1><div class="highlight"><pre>
<span></span><span class="kn">import</span> <span class="nn">copy</span>

<span class="n">TF1_POOL_STABLE</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;Primary has depleted central carbon&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;Secondary has depleted central carbon&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;offcenter neon ignition for primary&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;offcenter neon ignition for secondary&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;envelope_mass_limit&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;gamma_center_limit&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;Reached TPAGB&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;max_age&#39;</span><span class="p">]</span>

<span class="n">TF1_POOL_UNSTABLE</span> <span class="o">=</span> <span class="p">[</span>
    <span class="s1">&#39;Unstable&#39;</span><span class="p">,</span>
    <span class="s1">&#39;overflow from L2 (D_L2) distance for q(=Macc/Mdon)&gt;1, donor is star 1&#39;</span><span class="p">,</span>
    <span class="s1">&#39;overflow from L2 (R_L2) surface for q(=Macc/Mdon)&lt;1, donor is star 1&#39;</span><span class="p">,</span>
    <span class="s1">&#39;overflow from L2 (R_L2) surface for q(=Macc/Mdon)&gt;1, donor is star 1&#39;</span><span class="p">,</span>
    <span class="s1">&#39;overflow from L2 (D_L2) distance for q(=Macc/Mdon)&lt;1, donor is star 1&#39;</span><span class="p">,</span>
    <span class="s1">&#39;overflow from L2 (R_L2) surface for q(=Macc/Mdon)&lt;1, donor is star 2&#39;</span><span class="p">,</span>
    <span class="s1">&#39;reached maximum mass transfer rate: 10.0d0&#39;</span><span class="p">,</span>
    <span class="s1">&#39;Reached maximum mass transfer rate: 1d-1&#39;</span><span class="p">,</span>
    <span class="s1">&#39;Reached the critical mt rate&#39;</span><span class="p">,</span>
    <span class="s1">&#39;Reached maximum mass transfer rate: Exceeded photon trapping radius&#39;</span><span class="p">,</span>
    <span class="s1">&#39;Both stars fill their Roche Lobe and at least one of them is off MS&#39;</span><span class="p">,</span>
    <span class="s1">&#39;Terminate due to L2 overflow during case A&#39;</span><span class="p">]</span>

<span class="n">TF1_POOL_INITIAL_RLO</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;Initial RLOF&#39;</span><span class="p">,</span>
                        <span class="s1">&#39;forced_initial_RLO&#39;</span><span class="p">,</span>
                        <span class="s1">&#39;overflow from L1 at ZAMS&#39;</span><span class="p">,</span>
                        <span class="s1">&#39;Terminate because of overflowing initial model&#39;</span><span class="p">,</span>
                        <span class="s1">&#39;overflow from L2 point for q&gt;1 at ZAMS&#39;</span><span class="p">,</span>
                        <span class="s1">&#39;overflow from L2 surface for q&lt;1 at ZAMS&#39;</span><span class="p">,</span>
                        <span class="s1">&#39;overflow from L2 surface for q&gt;1 at ZAMS&#39;</span><span class="p">]</span>

<span class="n">TF1_POOL_ERROR</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;logQ_limit&#39;</span><span class="p">,</span>
                  <span class="s1">&#39;min timestep&#39;</span><span class="p">,</span>
                  <span class="s1">&#39;min_timestep_limit&#39;</span><span class="p">,</span>
                  <span class="s1">&#39;cluster timelimit&#39;</span><span class="p">,</span>
                  <span class="s1">&#39;reach cluster timelimit&#39;</span><span class="p">,</span>
                  <span class="s1">&#39;no termination code&#39;</span><span class="p">]</span>

<span class="n">TF2_POOL_NO_RLO</span> <span class="o">=</span> <span class="p">[</span>
    <span class="s1">&#39;no_RLOF&#39;</span><span class="p">,</span>
    <span class="s1">&#39;undetermined_flag_mass_transfer_from_evolutionary_states_from_star1&#39;</span>
<span class="p">]</span>

<span class="n">TF2_POOL_INITIAL_RLO</span> <span class="o">=</span> <span class="p">[</span>
    <span class="s1">&#39;initial_RLOF&#39;</span>
<span class="p">]</span>

<span class="n">TF2_UNSTABLE_L2</span> <span class="o">=</span> <span class="p">[</span>
    <span class="s2">&quot;L2_RLOF&quot;</span>
<span class="p">]</span>

<div class="viewcode-block" id="combine_TF12"><a class="viewcode-back" href="../../../api/posydon.visualization.combine_TF.html#posydon.visualization.combine_TF.combine_TF12">[docs]</a><span class="k">def</span> <span class="nf">combine_TF12</span><span class="p">(</span><span class="n">TF1</span><span class="p">,</span> <span class="n">TF2</span><span class="p">,</span> <span class="n">verbose</span><span class="o">=</span><span class="kc">False</span><span class="p">):</span>
    <span class="n">TF12</span> <span class="o">=</span> <span class="n">copy</span><span class="o">.</span><span class="n">copy</span><span class="p">(</span><span class="n">TF1</span><span class="p">)</span>

    <span class="c1"># INITIAL RLO</span>
    <span class="n">TF2_pool_SCONT</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;contact_during_MS&#39;</span><span class="p">]</span>

    <span class="n">TF2_pool_SA</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;caseA_from_star1&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;caseA_from_star2&#39;</span><span class="p">,</span>
                   <span class="c1"># TODO: obsolete</span>
                   <span class="s1">&#39;caseA_MESA_model_finished_during_RLOF_from_star1&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;caseA_MESA_model_finished_during_RLOF_from_star2&#39;</span><span class="p">]</span>

    <span class="n">TF2_pool_SAB</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;caseA/B_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseA/B_from_star2&#39;</span><span class="p">,</span>
                    <span class="c1"># TODO: obsolete</span>
                    <span class="s1">&#39;caseAB_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseAB_from_star2&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseAB_MESA_model_finished_during_RLOF_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseAB_MESA_model_finished_during_RLOF_from_star2&#39;</span><span class="p">]</span>

    <span class="n">TF2_pool_SABB</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;caseA/BB_from_star1&#39;</span><span class="p">,</span>
                     <span class="s1">&#39;caseA/BB_from_star2&#39;</span><span class="p">,</span>
                     <span class="c1"># TODO: obsolete</span>
                     <span class="s1">&#39;caseABB_from_star1&#39;</span><span class="p">,</span>
                     <span class="s1">&#39;caseAB_from_star2&#39;</span><span class="p">,</span>
                     <span class="s1">&#39;caseABB_MESA_model_finished_during_RLOF_from_star1&#39;</span><span class="p">,</span>
                     <span class="s1">&#39;caseABB_MESA_model_finished_during_RLOF_from_star2&#39;</span><span class="p">]</span>

    <span class="n">TF2_pool_SB</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;caseB_from_star1&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;caseB_from_star2&#39;</span><span class="p">,</span>
                   <span class="c1"># TODO: obsolete</span>
                   <span class="s1">&#39;caseB_MESA_model_finished_during_RLOF_from_star1&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;caseB_MESA_model_finished_during_RLOF_from_star2&#39;</span><span class="p">]</span>

    <span class="n">TF2_pool_SC</span> <span class="o">=</span> <span class="p">[</span>     <span class="c1"># TODO: obsolete</span>
                   <span class="s1">&#39;caseC_from_star1&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;caseC_from_star2&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;caseC_MESA_model_finished_during_RLOF_from_star1&#39;</span><span class="p">,</span>
                   <span class="s1">&#39;caseC_MESA_model_finished_during_RLOF_from_star2&#39;</span><span class="p">]</span>

    <span class="n">TF2_pool_SBC</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;caseB/C_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseB/C_from_star1&#39;</span>
                    <span class="c1"># TODO: obsolete</span>
                    <span class="s1">&#39;caseBC_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseBC_from_star2&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseBC_MESA_model_finished_during_RLOF_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseBC_MESA_model_finished_during_RLOF_from_star2&#39;</span><span class="p">]</span>

    <span class="n">TF2_pool_SBB</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;caseB/C/BB_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseB/C/BB_from_star2&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseB/BB_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseB/BB_from_star2&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseA/B/BB_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseA/B/BB_from_star2&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseBA/BB_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseB/A_from_star1&#39;</span><span class="p">,</span>
                    <span class="c1"># TODO: obsolete</span>
                    <span class="s1">&#39;caseBB_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseBB_from_star2&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseBB_MESA_model_finished_during_RLOF_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseBB_MESA_model_finished_during_RLOF_from_star2&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseBA_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseBA_from_star2&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseBA_MESA_model_finished_during_RLOF_from_star1&#39;</span><span class="p">,</span>
                    <span class="s1">&#39;caseBA_MESA_model_finished_during_RLOF_from_star2&#39;</span><span class="p">]</span>

    <span class="c1"># TODO: delete the next line?</span>
    <span class="c1"># TF2_pool_NRLO = [&#39;no_RLOF&#39;]</span>

    <span class="n">TF2_unknown</span> <span class="o">=</span> <span class="p">[</span>
        <span class="s1">&#39;?_from_star1&#39;</span><span class="p">,</span> <span class="s1">&#39;?_from_star2&#39;</span><span class="p">,</span>
        <span class="c1"># TODO: obsolete</span>
        <span class="s1">&#39;undetermined_flag_mass_transfer_from_evolutionary_states_from_star1&#39;</span><span class="p">]</span>

    <span class="c1"># TODO: remove this since it&#39;s a temporary hot-fix</span>
    <span class="n">TF1</span> <span class="o">=</span> <span class="p">[(</span><span class="n">tf</span><span class="p">[:</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span> <span class="k">if</span> <span class="n">tf</span><span class="o">.</span><span class="n">endswith</span><span class="p">(</span><span class="s2">&quot;</span><span class="se">\n</span><span class="s2">&quot;</span><span class="p">)</span> <span class="k">else</span> <span class="n">tf</span><span class="p">)</span> <span class="k">for</span> <span class="n">tf</span> <span class="ow">in</span> <span class="n">TF1</span><span class="p">]</span>
    <span class="n">TF2</span> <span class="o">=</span> <span class="p">[(</span><span class="n">tf</span><span class="p">[</span><span class="mi">1</span><span class="p">:]</span> <span class="k">if</span> <span class="n">tf</span><span class="o">.</span><span class="n">startswith</span><span class="p">(</span><span class="s2">&quot;?case&quot;</span><span class="p">)</span> <span class="k">else</span> <span class="n">tf</span><span class="p">)</span> <span class="k">for</span> <span class="n">tf</span> <span class="ow">in</span> <span class="n">TF2</span><span class="p">]</span>

    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="nb">len</span><span class="p">(</span><span class="n">TF12</span><span class="p">)):</span>
        <span class="n">TF_control</span> <span class="o">=</span> <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_INITIAL_RLO</span> <span class="ow">or</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_POOL_INITIAL_RLO</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Initial RLOF&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_ERROR</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Not converged&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_STABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SCONT</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Stable contact&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_STABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SA</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Stable case A&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_STABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SAB</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Stable case AB&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_STABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SABB</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Stable case ABB&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_STABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SB</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Stable case B&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_STABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SC</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Stable case C&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_STABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SBC</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Stable case BC&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_STABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SBB</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Stable case BB&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_UNSTABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SCONT</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Unstable contact&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_UNSTABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SA</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Unstable case A&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_UNSTABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SAB</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Unstable case AB&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_UNSTABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SABB</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Unstable case ABB&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_UNSTABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SB</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Unstable case B&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_UNSTABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SC</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Unstable case C&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_UNSTABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SBB</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Unstable case BB&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF1_POOL_UNSTABLE</span> <span class="ow">and</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_pool_SBC</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;Unstable case BC&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_POOL_NO_RLO</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;no_RLOF&#39;</span>
            <span class="k">continue</span>
        <span class="k">if</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_UNSTABLE_L2</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s2">&quot;Unstable L2 RLOF&quot;</span>
            <span class="k">continue</span>
        <span class="c1"># catch if something is missing from the logic</span>
        <span class="k">if</span> <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">==</span> <span class="n">TF_control</span> <span class="ow">or</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="ow">in</span> <span class="n">TF2_unknown</span><span class="p">:</span>
            <span class="n">TF12</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">=</span> <span class="s1">&#39;unknown&#39;</span>
            <span class="k">if</span> <span class="n">verbose</span><span class="p">:</span>
                <span class="nb">print</span><span class="p">(</span><span class="n">TF1</span><span class="p">[</span><span class="n">i</span><span class="p">],</span> <span class="n">TF2</span><span class="p">[</span><span class="n">i</span><span class="p">])</span>

    <span class="k">return</span> <span class="n">TF12</span></div>
</pre></div>

           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>